%define	name	gftp
%define version 2.0.18
%define release %mkrel 11

Name:		%{name}
Summary:	Multithreaded FTP client for X Windows
Version:	%{version}
Release:	%{release}
Epoch:		1
License:	GPL
Group:		Networking/File transfer
URL:		http://www.gftp.org/
Requires:	gtk+2 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+2-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel

Source0:	http://www.gftp.org/%{name}-%{version}.tar.bz2
Source1:	%{name}.icons.tar.bz2
Patch0:		%{name}-2.0.18-datetime-fixedsort.patch
Patch1:		%{name}-2.0.18-bookmarks.patch
#(nl):	This patch fix crash of bookmarks when edited twice (Patch from gftp cvs) 
Patch2:         %{name}-2.0.18-fix-bookmark-crash.patch
#(nl):	This patch fix crash when stopping a transfert (Patch from gftp cvs)
Patch3:         gftp-2.0.18-fix-crash-download.patch
#(ea):	Fixes freeze at startup from FC7 rawhide
Patch4:		gftp-2.0.18-fix-startup-freeze.patch
#(nl)  CVE-2007-3961 and CVE-2007-3962
Patch5:         gftp-2.0.18-CVE-2007-3961-CVE-2007-3962.patch
Patch6:         gftp-2.0.18-fix-desktop-file.patch
%description
gFTP is a multithreaded FTP client for X Window written using Gtk. It features
simultaneous downloads, resuming of interrupted file transfers, file transfer
queues, downloading of entire directories, ftp proxy support, remote directory
caching, passive and non-passive file transfers, drag-n-drop, bookmarks menu,
stop button, and many more features.


%prep
%setup -q -a 1
%patch0 -p0
%patch1 -p1 -b .bookmarks
%patch2 -p1 -b .fix-bookmarks-crash
%patch3 -p1 -b .fix_calculating_bug
%patch4	-p1 -b .fix-startup-freeze
%patch5 -p1 -b .CVE_2007_3961_CVE_2007_3962
%patch6 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

# icons
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%_liconsdir/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%_iconsdir/%{name}.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%_miconsdir/%{name}.png

# locale files
%find_lang %{name}


%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS THANKS COPYING ChangeLog README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man?/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png





%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:2.0.18-11mdv2009.0
+ Revision: 245955
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 23 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.18-9mdv2008.1
+ Revision: 156948
- Add fix for CVE-2007-3961-CVE-2007-3962
  Fix desktop file

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Feb 24 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.18-9mdv2007.0
+ Revision: 125440
- add patch4 to fix freeze at startup

* Sat Aug 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.18-8mdv2007.0
+ Revision: 55696
- Rebuild

  + Götz Waschk <waschk@mandriva.org>
    - fix buildrequires

* Fri Jul 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.18-7mdv2007.0
+ Revision: 42305
- Increase release 2.0.18-7mdv2007.0
- Add patch 3: Fix crash when stopping transfert
- Fix crash when editing bookmarks (ticket #10138)

* Sat Jul 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1:2.0.18-6mdv2007.0
+ Revision: 38270
- Increase release
- Fix for xdg menu
- import gftp-2.0.18-5mdk

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.0.18-5mdk
- fix build
- rebuild against openssl-0.9.8a

* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 2.0.18-4mdk
- P1: fix alphabetical order

* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 2.0.18-3mdk
- add Mandriva iso (devel and Official), SRPMS and Old to bookmarks

* Tue Jun 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.18-2mdk
- use %%debug_package
- %%mkrel

* Mon Feb 28 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.18-1mdk
- from Tom Ph <tpgww@onepost.net> : 
	- updated icons, including svg
	- requires
	- new version
	- patches reconciled
	- updated icons
	- desktop files directory

* Thu Jan 20 2005 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0.17-5mdk
- rebuild for new readline

* Wed Oct 13 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.17-4mdk
- put back extra 64-bit fixes

* Sat Aug 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.17-3mdk
- fix typo in menu entry

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.17-2mdk
- REbuild with new menu

* Thu Apr 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.17-1mdk
- new release
- drop patch 2 (merged upstream)
- redo patch 3

